Omniplex Docs
PopplioProduction

Users

These API endpoints are related to users on IBL

GET
/users/{id}/booster

Check Booster Status

Returns the booster status of a user. This can be used to check eligibility to redeem booster perks.

/users/{id}/booster

Path Parameters

id
Required
string

User ID

curl -X GET "https://spider.omniplex.gg/users/string/booster"

Success

{
  "is_booster": true,
  "remark": "string"
}

POST
/users/{id}/data

Create Data Task

Creates a data task for a user (delete or request). Returns the task id if this is successful.

/users/{id}/data

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Path Parameters

id
Required
string

User ID

Query Parameters

delete
Required
string

Whether we should do a Data Deletion or a Data Request

curl -X POST "https://spider.omniplex.gg/users/string/data?delete=string" \
  -H "User-Auth: <token>"

Success

{
  "allow_unauthenticated": true,
  "expiry": null,
  "task_id": "string",
  "task_key": "string",
  "task_name": "string"
}

GET
/users/{id}

Get User

Gets a user by id

/users/{id}

Path Parameters

id
Required
string

User ID

curl -X GET "https://spider.omniplex.gg/users/string"

Success

{
  "about": "string",
  "banned": true,
  "bot_developer": true,
  "bug_hunters": true,
  "captcha_sponsor_enabled": true,
  "certified": true,
  "created_at": "2019-08-24T14:15:22Z",
  "experiments": [
    "string"
  ],
  "extra_links": [
    {
      "name": "string",
      "value": "string"
    }
  ],
  "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62",
  "last_booster_claim": "2019-08-24T14:15:22Z",
  "staff": true,
  "updated_at": "2019-08-24T14:15:22Z",
  "user": {
    "avatar": "string",
    "bot": true,
    "display_name": "string",
    "extra_data": {
      "property1": null,
      "property2": null
    },
    "flags": [
      "string"
    ],
    "id": "string",
    "status": "string",
    "username": "string"
  },
  "user_bots": [
    {
      "approximate_votes": 0,
      "bot_id": "string",
      "clicks": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "invite_clicks": 0,
      "library": "string",
      "nsfw": true,
      "premium": true,
      "servers": 0,
      "shards": 0,
      "short": "string",
      "tags": [
        "string"
      ],
      "type": "string",
      "user": {
        "avatar": "string",
        "bot": true,
        "display_name": "string",
        "extra_data": {
          "property1": null,
          "property2": null
        },
        "flags": [
          "string"
        ],
        "id": "string",
        "status": "string",
        "username": "string"
      },
      "vanity": "string",
      "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
      "votes": 0
    }
  ],
  "user_packs": [
    {
      "bot_ids": [
        "string"
      ],
      "bots": [
        {
          "approximate_votes": 0,
          "bot_id": "string",
          "clicks": 0,
          "created_at": "2019-08-24T14:15:22Z",
          "invite_clicks": 0,
          "library": "string",
          "nsfw": true,
          "premium": true,
          "servers": 0,
          "shards": 0,
          "short": "string",
          "tags": [
            "string"
          ],
          "type": "string",
          "user": {
            "avatar": "string",
            "bot": true,
            "display_name": "string",
            "extra_data": {
              "property1": null,
              "property2": null
            },
            "flags": [
              "string"
            ],
            "id": "string",
            "status": "string",
            "username": "string"
          },
          "vanity": "string",
          "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
          "votes": 0
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "name": "string",
      "owner": {
        "avatar": "string",
        "bot": true,
        "display_name": "string",
        "extra_data": {
          "property1": null,
          "property2": null
        },
        "flags": [
          "string"
        ],
        "id": "string",
        "status": "string",
        "username": "string"
      },
      "server_ids": [
        "string"
      ],
      "servers": [
        {
          "approximate_votes": 0,
          "avatar": "string",
          "clicks": 0,
          "invite_clicks": 0,
          "name": "string",
          "nsfw": true,
          "online_members": 0,
          "premium": true,
          "server_id": "string",
          "short": "string",
          "state": "string",
          "tags": [
            "string"
          ],
          "total_members": 0,
          "type": "string",
          "vanity": "string",
          "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
          "votes": 0
        }
      ],
      "short": "string",
      "tags": [
        "string"
      ],
      "url": "string",
      "vote_banned": true,
      "votes": 0
    }
  ],
  "user_teams": [
    {
      "approximate_votes": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "entities": {
        "bots": [
          {
            "approximate_votes": 0,
            "bot_id": "string",
            "clicks": 0,
            "created_at": "2019-08-24T14:15:22Z",
            "invite_clicks": 0,
            "library": "string",
            "nsfw": true,
            "premium": true,
            "servers": 0,
            "shards": 0,
            "short": "string",
            "tags": [
              "string"
            ],
            "type": "string",
            "user": {
              "avatar": "string",
              "bot": true,
              "display_name": "string",
              "extra_data": {
                "property1": null,
                "property2": null
              },
              "flags": [
                "string"
              ],
              "id": "string",
              "status": "string",
              "username": "string"
            },
            "vanity": "string",
            "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
            "votes": 0
          }
        ],
        "members": [
          {
            "created_at": "2019-08-24T14:15:22Z",
            "data_holder": true,
            "flags": [
              "string"
            ],
            "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62",
            "mentionable": true,
            "service": "string",
            "team_id": "string",
            "user": {
              "avatar": "string",
              "bot": true,
              "display_name": "string",
              "extra_data": {
                "property1": null,
                "property2": null
              },
              "flags": [
                "string"
              ],
              "id": "string",
              "status": "string",
              "username": "string"
            }
          }
        ],
        "servers": [
          {
            "approximate_votes": 0,
            "avatar": "string",
            "clicks": 0,
            "invite_clicks": 0,
            "name": "string",
            "nsfw": true,
            "online_members": 0,
            "premium": true,
            "server_id": "string",
            "short": "string",
            "state": "string",
            "tags": [
              "string"
            ],
            "total_members": 0,
            "type": "string",
            "vanity": "string",
            "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
            "votes": 0
          }
        ],
        "targets": [
          "string"
        ]
      },
      "extra_links": [
        {
          "name": "string",
          "value": "string"
        }
      ],
      "id": "string",
      "name": "string",
      "nsfw": true,
      "service": "string",
      "short": "string",
      "tags": [
        "string"
      ],
      "updated_at": "2019-08-24T14:15:22Z",
      "vanity": "string",
      "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
      "vote_banned": true,
      "votes": 0
    }
  ],
  "vote_banned": true
}

PATCH
/users/{id}

Update User Profile

Updates a users profile. Returns 204 on success

/users/{id}

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Request Body

application/jsonRequired

aboutstring

captcha_sponsor_enabledboolean | null

extra_linksarray<object>

Path Parameters

id
Required
string

User ID

curl -X PATCH "https://spider.omniplex.gg/users/string" \
  -H "User-Auth: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "about": "string",
    "captcha_sponsor_enabled": true,
    "extra_links": [
      {
        "name": "string",
        "value": "string"
      }
    ]
  }'

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/users/{id}/perms

Get User Perms

Gets a users permissions by ID

/users/{id}/perms

Path Parameters

id
Required
string

User ID

curl -X GET "https://spider.omniplex.gg/users/string/perms"

Success

{
  "banned": true,
  "captcha_sponsor_enabled": true,
  "experiments": [
    "string"
  ],
  "staff": true,
  "user": {
    "avatar": "string",
    "bot": true,
    "display_name": "string",
    "extra_data": {
      "property1": null,
      "property2": null
    },
    "flags": [
      "string"
    ],
    "id": "string",
    "status": "string",
    "username": "string"
  },
  "vote_banned": true
}

GET
/users/{id}/seo

Get User SEO Info

Gets a users SEO data by id

/users/{id}/seo

Path Parameters

id
Required
string

User ID

curl -X GET "https://spider.omniplex.gg/users/string/seo"

Success

{
  "avatar": "string",
  "id": "string",
  "name": "string",
  "short": "string"
}